> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List reminders with filters and pagination



## OpenAPI

````yaml v3/api-reference/openapi.json post /reminders/list
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /reminders/list:
    post:
      tags:
        - Reminders
      summary: List reminders with filters and pagination
      operationId: reminder-list
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                cursor:
                  type: number
                  nullable: true
                filter:
                  type: object
                  properties:
                    leads_filter:
                      type: object
                      properties:
                        leads:
                          type: array
                          items:
                            type: string
                        not_leads:
                          type: array
                          items:
                            type: string
                        is_company:
                          type: boolean
                        is_contract:
                          type: boolean
                        is_tracked:
                          type: boolean
                        ai_enabled:
                          type: boolean
                        email_status:
                          type: string
                          enum:
                            - all
                            - bounce
                            - not-sure-bounce
                            - valid
                            - no-email
                            - has-email
                        search:
                          type: string
                        has_icebreaker:
                          type: boolean
                        tags:
                          type: array
                          items:
                            type: string
                        status:
                          type: array
                          items:
                            type: string
                        has_list:
                          type: boolean
                        has_no_list:
                          type: boolean
                        lists:
                          type: array
                          items:
                            type: string
                        has_owner:
                          type: boolean
                        has_no_owner:
                          type: boolean
                        owners:
                          type: array
                          items:
                            type: string
                        score:
                          type: array
                          items:
                            type: string
                        attributes:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              value:
                                anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: string
                                  - type: array
                                    items:
                                      type: string
                                  - type: object
                                    properties:
                                      lat:
                                        type: number
                                      lng:
                                        type: number
                                    required:
                                      - lat
                                      - lng
                              operator:
                                type: string
                                enum:
                                  - equals
                                  - not_equals
                                  - contains
                                  - not_contains
                                  - greater_than
                                  - less_than
                                  - greater_than_or_equal
                                  - less_than_or_equal
                                  - between
                                  - in
                                  - not_in
                                  - is_empty
                                  - is_not_empty
                            required:
                              - id
                              - value
                              - operator
                    id_lead:
                      type: string
                    id_list:
                      type: string
                    is_done:
                      type: boolean
                    id_status:
                      type: string
                    users:
                      type: array
                      items:
                        type: string
                    search:
                      type: string
                    late_tasks:
                      type: boolean
                    ai_generated:
                      type: boolean
                    ai_action_channel:
                      type: string
                    ai_action_priority:
                      type: string
                    date_from:
                      type: string
                      format: date-time
                    date_to:
                      type: string
                      format: date-time
                    no_date:
                      type: boolean
                timezone:
                  type: string
                orderBy:
                  type: object
                  properties:
                    field:
                      type: string
                      enum:
                        - name
                        - created_at
                        - updated_at
                      default: created_at
                    type:
                      type: string
                      enum:
                        - asc
                        - desc
                      default: desc
                pagination:
                  type: object
                  properties:
                    page:
                      type: number
                      minimum: 0
                    page_size:
                      type: number
                      minimum: 1
                      maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        date:
                          type: string
                          nullable: true
                        name:
                          type: string
                          nullable: true
                        cron:
                          type: string
                          nullable: true
                        cron_id:
                          type: string
                          nullable: true
                        created_at:
                          type: string
                        updated_at:
                          type: string
                          nullable: true
                        is_deleted:
                          type: boolean
                        is_done:
                          type: boolean
                        ressource_link:
                          type: string
                          nullable: true
                        ai_generated:
                          type: boolean
                          nullable: true
                        ai_action_channel:
                          type: string
                          nullable: true
                        ai_action_description:
                          type: string
                          nullable: true
                        ai_action_priority:
                          type: string
                          nullable: true
                        ai_action_reasoning:
                          type: string
                          nullable: true
                        ai_time_precision:
                          type: string
                          nullable: true
                        ai_followup_strategy:
                          type: string
                          nullable: true
                        ai_action_rationale:
                          type: string
                          nullable: true
                        ai_draft_subject:
                          type: string
                          nullable: true
                        ai_draft_message:
                          type: string
                          nullable: true
                        ai_draft_metadata:
                          type: string
                          nullable: true
                        id_lead:
                          type: string
                          nullable: true
                        id_space:
                          type: string
                          nullable: true
                      required:
                        - id
                        - date
                        - name
                        - cron
                        - cron_id
                        - created_at
                        - updated_at
                        - is_deleted
                        - is_done
                        - ressource_link
                        - ai_generated
                        - ai_action_channel
                        - ai_action_description
                        - ai_action_priority
                        - ai_action_reasoning
                        - ai_time_precision
                        - ai_followup_strategy
                        - ai_action_rationale
                        - ai_draft_subject
                        - ai_draft_message
                        - ai_draft_metadata
                        - id_lead
                        - id_space
                      additionalProperties: true
                  pagination:
                    type: object
                    properties:
                      page:
                        type: number
                      page_size:
                        type: number
                    required:
                      - page
                      - page_size
                required:
                  - data
                  - pagination
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````